CRM
Update CRM custom field
PATCH
/
v1
/
crm
/
custom-fields
/
{fieldID}
Update CRM custom field
curl --request PATCH \
--url https://api.wazapin.com/v1/crm/custom-fields/{fieldID} \
--header 'Content-Type: application/json' \
--data '
{
"display_order": 123,
"is_active": true,
"is_required": true,
"label": "<string>",
"default_value": "<unknown>",
"description": "<string>",
"options": "<unknown>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
display_order: 123,
is_active: true,
is_required: true,
label: '<string>',
default_value: '<unknown>',
description: '<string>',
options: '<unknown>'
})
};
fetch('https://api.wazapin.com/v1/crm/custom-fields/{fieldID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/custom-fields/{fieldID}"
payload = {
"display_order": 123,
"is_active": True,
"is_required": True,
"label": "<string>",
"default_value": "<unknown>",
"description": "<string>",
"options": "<unknown>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"default_value": "<unknown>",
"description": "<string>",
"display_order": 123,
"field_type": "<string>",
"id": "<string>",
"is_active": true,
"is_required": true,
"key": "<string>",
"label": "<string>",
"object_kind": "<string>",
"options": "<unknown>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Body
application/json
Response
OK
⌘I
Update CRM custom field
curl --request PATCH \
--url https://api.wazapin.com/v1/crm/custom-fields/{fieldID} \
--header 'Content-Type: application/json' \
--data '
{
"display_order": 123,
"is_active": true,
"is_required": true,
"label": "<string>",
"default_value": "<unknown>",
"description": "<string>",
"options": "<unknown>"
}
'const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
display_order: 123,
is_active: true,
is_required: true,
label: '<string>',
default_value: '<unknown>',
description: '<string>',
options: '<unknown>'
})
};
fetch('https://api.wazapin.com/v1/crm/custom-fields/{fieldID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/custom-fields/{fieldID}"
payload = {
"display_order": 123,
"is_active": True,
"is_required": True,
"label": "<string>",
"default_value": "<unknown>",
"description": "<string>",
"options": "<unknown>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"created_at": "<string>",
"default_value": "<unknown>",
"description": "<string>",
"display_order": 123,
"field_type": "<string>",
"id": "<string>",
"is_active": true,
"is_required": true,
"key": "<string>",
"label": "<string>",
"object_kind": "<string>",
"options": "<unknown>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}